from .StoredProcedureOperation import StoredProcedureOperation
from ..SQLParameter import SQLParameter
from ..SQLFunctionCall import SQLFunctionCall
from framework import Guid

class CreateClassOperation (StoredProcedureOperation):

	def __init__(self, globalIdentifier : Guid, classIndex : int):
		self.globalIdentifier = globalIdentifier
		self.classIndex = classIndex
		
	def get_sp_name(self):
		return 'mocha_create_class'

	def get_sp_parameters(self):
		return [ self.classIndex, self.globalIdentifier, None, None, SQLParameter("dummy") ]
		